<template>
  <q-page class="bg-secondary">
    
        <q-tab-panels v-model="currentTab" animated ><!--swipeable-->

            <q-tab-panel name="home" class="no-padding no-margin">
                <router-view/>
            </q-tab-panel>
            <q-tab-panel name="cv" class="no-padding no-margin">
                <router-view/>
            </q-tab-panel>
            <q-tab-panel name="app" class="no-padding no-margin">
                <router-view/>
            </q-tab-panel>
            <q-tab-panel name="chat" class="no-padding no-margin">
                <router-view/>
            </q-tab-panel>

        </q-tab-panels>

    <q-footer>
        <q-tabs v-model="currentTab" class="text-positive bg-accent text-grey" active-color="secondary" indicator-color="secondary" align="justify" no-caps>
            <q-route-tab name="home" icon="home" :to="'/'"/><!--default-->
            <q-route-tab name="cv" label="CV" :to="'/cv'"/>
            <q-route-tab name="app" label="WebApp" :to="'/app'"/>
            <q-route-tab name="chat" label="Chat" :to="'/chat'"/>
        </q-tabs>
    </q-footer>
  </q-page>
  
</template>

<script>
export default {
    name: 'Index',
    computed: {
        currentTab:{
            get(){
                return this.$store.state.tabs.currentTab;
            },
            set(val){ // This will be triggered when you click on the Tabs!
                this.$store.commit('tabs/setCurrentTab', val);
            }
        },
        
    },
}
</script>